# Reinstall Physical Machine - ReinstallPHost

## Overview

Reinstall Physical Machine Operating System

 > 💡 The password needs to be encoded through base64 # echo password1 \| base ugfzc3dvcmqxcg==




## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ReinstallPHost`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **PHostId** | string | PHost Resource ID |**Yes**|
| **Password** | string | Password |**Yes**|
| **ImageId** | string | Image Id, refer to the image list, use the original image by default. |No|
| **Name** | string | Physical machine name, default is not to change |No|
| **Remark** | string | Remarks for the physical machine, default is no change. |No|
| **Tag** | string | Business group, no change by default. |No|
| **ReserveDisk** | string | Keep the data disk, Keep: Yes, Do not keep: No, Default: Yes |No|
| **Raid** | string | Reinstall without retaining data disk, optional Raid |No|
| **BootDiskSpace** | int | BareMetal Machine Type Parameters->System Disk Size. Unit: GB, Range [20,500], Step: 10 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **PHostId** | string | Resource ID of PHost |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=ReinstallPHost
&Region=MIPhSXgO
&Zone=IDPyrAHK
&ProjectId=gRyApbDA
&PHostId=jLJtdODY
&Password=sGnKzAjP
&ImageId=dIjWWkvV
&Name=dcXksFaw
&Remark=kUhuVXxS
&Tag=yXzMWRQa
&ReserveDisk=oynhHeNM
&Raid=bHPMFdMe
&BootDiskSpace=4
```

### Response Example
    
```json
{
  "Action": "ReinstallPHostResponse",
  "PHostId": "vwHuJPaW",
  "RetCode": 0
}
```





